### Property

# WebKit2 Settings:allow-modal-dialogs

#### Declaration

    property allow-modal-dialogs: gboolean [ read, write, construct ]

#### Description [src]

Determine whether it’s allowed to create and run modal dialogs from a `WebKitWebView` through JavaScript with window.showModalDialog. If it’s set to `FALSE`, the associated `WebKitWebView` won’t be able to create new modal dialogs, so not even the `WebKitWebView::create` signal will be emitted.

Type: | `gboolean`

Setter method | `webkit_settings_set_allow_modal_dialogs()`
Getter method | `webkit_settings_get_allow_modal_dialogs()`

#### Flags

Readable | yes
Writable | yes
Construct | yes
Construct only | no